<?php

namespace Garradin\Plugin\RecusFiscaux;

/**
 * rassembler les infos d'une personne
 */
class Personne
{
    public $id;
    public $nomPrenom;
    public $adresse;
    public $ville;
    public $codePostal;
    public $courriel;
    public $versements;

    public function __construct(
        $id,
        $nomPrenom,
        $adresse,
        $ville,
        $codePostal,
        $courriel
    ) {
        $this->id = $id;
        $this->nomPrenom = $nomPrenom;
        $this->adresse = $adresse;
        $this->ville = $ville;
        $this->codePostal = $codePostal;
        $this->courriel = $courriel;
        $this->versements = array();
    }

    /*
     * ajouter un versement
     */
    public function ajouterVersement(
        $idActivite,
        $idTarif,
        $montant
    ) {
        // var_dump($this);
        $this->versements[] =
            new Versement(
                $idActivite,
                $idTarif,
                $montant
            );
        // var_dump($this);
    }
}
